HTML comments not rendered properly
Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

Textile allows html tags to be input. However the textile implementation in RedMine does not render html comment tags
properly. For instance

<l-- this is a comment -->

is rendered literally with the angle brackets and the text within the tag is
rendered as deleted text.

History

#1 - 2008-02-05 10:23 - Ryan Duryea

Just FYI, this behavior turns out to be a problem with RedCloth, the library used to turn Textile into HTML. RedCloth doesn't seem to be actively
developed anymore and has a number of issues, some of which are listed in the comments here:
http://redhanded.hobix.com/inspect/superredclothAsAChild.html

| looked at the output from SuperRedCloth (the successor to RedCloth) and the result is:
<p><!-- this is a comment --></p>

which is better, but still not perfect.

#2 - 2008-03-05 04:35 - John Goerzen
See Patch #754

#3 - 2008-03-09 14:13 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Fixed in r1216.
